using SimpleJSON;
public class Context
{
    public string FreeText { get; set; }
    public string Location { get; set; }
    public string Wearing { get; set; }

    public Context(string freeText, string location, string wearing)
    {
        FreeText = freeText;
        Location = location;
        Wearing = wearing;
    }

    public Context(JSONClass contextJSON)
    {
        FreeText = contextJSON["FreeText"];
        Wearing = contextJSON["Wearing"];
        Location = contextJSON["Location"];
    }

    public JSONClass GetJSON()
    {
        JSONClass contextJSON = new JSONClass();
        contextJSON["FreeText"] = FreeText;
        contextJSON["Wearing"] = Wearing;
        contextJSON["Location"] = Location;

        return contextJSON;
    }
}
